Subject: Re: gc/bare-repo-discovery (was Re: What's cooking in git.git (Jul 2022, #01; Fri, 1))

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Jul 2022 15:15:55 -0700

Glen Choo <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> * gc/bare-repo-discovery (2022-06-30) 5 commits
>>  - setup.c: create `discovery.bare`
>>  - safe.directory: use git_protected_config()
>>  - config: learn `git_protected_config()`
>>  - Documentation: define protected configuration
>>  - Documentation/git-config.txt: add SCOPES section
>>
>>  Introduce a discovery.barerepository configuration variable that
>>  allows users to forbid discovery of bare repositories.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I'll send a reroll soon. Taylor Blau left a bunch of great
> comments/suggestions that I intend to address (though I don't think any
> of them were meant to be blocking?)

OK.  I too found Taylor's comments very helpful.

Thanks for a status update.